Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface WLECConnectionPoolMBean

public interface WLECConnectionPoolMBean
extends DeploymentMBean

This bean defines a WLEC connection pool.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`CACHING_STUB_SVUID, DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`boolean` | `addFailoverAddress(java.lang.String address)`
`boolean` | `addPrimaryAddress(java.lang.String address)`
`java.lang.String` | `getApplicationPassword()` Defines the password for the application.
`java.lang.String[]` | `getFailoverAddresses()` Defines the list of addresses for IIOP Listener/Handlers used if connections defined in the primary addresses cannot be established or fail.
`int` | `getMaximumEncryptionLevel()` Defines the maximum SSL encryption level used between the Tuxedo domain and WebLogic Server.
`int` | `getMaximumPoolSize()` Defines the maximum number of IIOP connections that can be made from the WLEC connection pool.
`int` | `getMinimumEncryptionLevel()` Defines the minimum SSL encryption level used between the Tuxedo domain and WebLogic Server.
`int` | `getMinimumPoolSize()` Defines the number of IIOP connections to be added to the WLEC connection pool when WebLogic Server starts.
`java.lang.String[]` | `getPrimaryAddresses()` Defines the list of addresses for IIOP Listener/Handlers used to establish a connection between the WLEC connection pool and the Tuxedo domain.
`java.lang.String` | `getUserName()` Defines the name of a qualified user.
`java.lang.String` | `getUserPassword()` Defines the password of the qualified user specified in the User Name field.
`java.lang.String` | `getUserRole()` Defines the user role for this connection pool.
`java.lang.String` | `getWLEDomain()` Defines the name of the WLEC domain to which the pool is connected.
`boolean` | `isCertificateAuthenticationEnabled()` Defines the state of certificate authentication.
`boolean` | `isSecurityContextEnabled()` Defines the state of the security context the WebLogic Server User passed to the Tuxedo domain.
`boolean` | `removeFailoverAddress(java.lang.String address)`
`boolean` | `removePrimaryAddress(java.lang.String address)`
`void` | `setApplicationPassword(java.lang.String password)`
`void` | `setCertificateAuthenticationEnabled(boolean on)`
`void` | `setFailoverAddresses(java.lang.String[] args)`
`void` | `setMaximumEncryptionLevel(int level)`
`void` | `setMaximumPoolSize(int size)`
`void` | `setMinimumEncryptionLevel(int level)`
`void` | `setMinimumPoolSize(int size)`
`void` | `setPrimaryAddresses(java.lang.String[] args)`
`void` | `setSecurityContextEnabled(boolean on)`
`void` | `setUserName(java.lang.String name)`
`void` | `setUserPassword(java.lang.String password)`
`void` | `setUserRole(java.lang.String role)`
`void` | `setWLEDomain(java.lang.String domain)`

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getPrimaryAddresses

    public java.lang.String[] getPrimaryAddresses()

  Defines the list of addresses for IIOP Listener/Handlers used to establish a connection between the WLEC connection pool and the Tuxedo domain.

  - The format of each address is `//hostname:port`.
  - The addresses must match the ISL addresses defined in the UBBCONFIG file. Multiple addresses are seperated by semicolons. Example: `//main1.com:1024`;`//main2.com:1044`.
  - To configure the WLEC connection pool to use the SSL protocol, use the corbalocs prefix with the address of the IIOP Listener/Handler. Example: `corbalocs://hostname:port`.

### setPrimaryAddresses

    public void setPrimaryAddresses(java.lang.String[] args)
                             throws javax.management.InvalidAttributeValueException

### addPrimaryAddress

    public boolean addPrimaryAddress(java.lang.String address)
                              throws javax.management.InvalidAttributeValueException

### removePrimaryAddress

    public boolean removePrimaryAddress(java.lang.String address)

### getFailoverAddresses

    public java.lang.String[] getFailoverAddresses()

  Defines the list of addresses for IIOP Listener/Handlers used if connections defined in the primary addresses cannot be established or fail. Multiple addresses are separated by semicolons.

### setFailoverAddresses

    public void setFailoverAddresses(java.lang.String[] args)
                              throws javax.management.InvalidAttributeValueException

### addFailoverAddress

    public boolean addFailoverAddress(java.lang.String address)
                               throws javax.management.InvalidAttributeValueException

### removeFailoverAddress

    public boolean removeFailoverAddress(java.lang.String address)

### getMinimumPoolSize

    public int getMinimumPoolSize()

  Defines the number of IIOP connections to be added to the WLEC connection pool when WebLogic Server starts.

  Default Value: 1

### setMinimumPoolSize

    public void setMinimumPoolSize(int size)
                            throws javax.management.InvalidAttributeValueException

### getMaximumPoolSize

    public int getMaximumPoolSize()

  Defines the maximum number of IIOP connections that can be made from the WLEC connection pool.

  Default Value: 1

### setMaximumPoolSize

    public void setMaximumPoolSize(int size)
                            throws javax.management.InvalidAttributeValueException

### getUserName

    public java.lang.String getUserName()

  Defines the name of a qualified user. This field is required only when the security level in the Tuxedo domain is USER_AUTH, ACL or MANDATORY_ACL.

### setUserName

    public void setUserName(java.lang.String name)
                     throws javax.management.InvalidAttributeValueException

### getUserPassword

    public java.lang.String getUserPassword()

  Defines the password of the qualified user specified in the User Name field. This field is required only when you define the User Name field.

### setUserPassword

    public void setUserPassword(java.lang.String password)
                         throws javax.management.InvalidAttributeValueException

### getApplicationPassword

    public java.lang.String getApplicationPassword()

  Defines the password for the application. This field is required when the security level in the Tuxedo domain is APP_PW, USER_AUTH, ACL, or MANDATORY_ACL.

### setApplicationPassword

    public void setApplicationPassword(java.lang.String password)
                                throws javax.management.InvalidAttributeValueException

### getUserRole

    public java.lang.String getUserRole()

  Defines the user role for this connection pool. This field is required when the security level in the Tuxedo domain is APP_PW, USER_AUTH, ACL, or MANDATORY_ACL.

### setUserRole

    public void setUserRole(java.lang.String role)
                     throws javax.management.InvalidAttributeValueException

### getWLEDomain

    public java.lang.String getWLEDomain()

  Defines the name of the WLEC domain to which the pool is connected.

  - You can have only one WLEC connection pool per Tuxedo domain.
  - The domain name must match the domainid parameter in the RESOURCES section of the UBBCONFIG file for the Tuxedo domain.

### setWLEDomain

    public void setWLEDomain(java.lang.String domain)
                      throws javax.management.InvalidAttributeValueException

### getMinimumEncryptionLevel

    public int getMinimumEncryptionLevel()

  Defines the minimum SSL encryption level used between the Tuxedo domain and WebLogic Server.

  - Zero (0) indicates that the data is signed but not sealed.
  - 40, 56, and 128 specify the length, in bits, of the encryption key.
  - Default value is 40.
  - If this minimum level of encryption is not met, the SSL connection between Tuxedo and WebLogic Server fails.

### setMinimumEncryptionLevel

    public void setMinimumEncryptionLevel(int level)
                                   throws javax.management.InvalidAttributeValueException

### getMaximumEncryptionLevel

    public int getMaximumEncryptionLevel()

  Defines the maximum SSL encryption level used between the Tuxedo domain and WebLogic Server.

  - Zero (0) indicates that the data is signed but not sealed.
  - 40, 56, and 128 specify the length, in bits, of the encryption key.
  - The default is the maximum level allowed by the Encryption Package kit license.
  - If this minimum level of encryption is not met, the SSL connection between Tuxedo and WebLogic Server fails.

### setMaximumEncryptionLevel

    public void setMaximumEncryptionLevel(int level)
                                   throws javax.management.InvalidAttributeValueException

### isCertificateAuthenticationEnabled

    public boolean isCertificateAuthenticationEnabled()

  Defines the state of certificate authentication.

  - When you use certificate authentication, WLEC uses the values for the User Name and Application Password fields to obtain a certificate for WLEC.
  - If you do not use certificate authentication, WLEC uses password authentication or no authentication, depending on the security level of the Tuxedo domain.
  - If password authentication is required, WLEC uses the values for the User Name and User Password fields to authenticate.

  Default Value: false
  Secure Value: true

### setCertificateAuthenticationEnabled

    public void setCertificateAuthenticationEnabled(boolean on)

### isSecurityContextEnabled

    public boolean isSecurityContextEnabled()

  Defines the state of the security context the WebLogic Server User passed to the Tuxedo domain. If selected, security context is enabled.

  Default Value: false
  Secure Value: true

### setSecurityContextEnabled

    public void setSecurityContextEnabled(boolean on)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference